#ifndef FEATHER_QRCODESCANDIALOG_H
#define FEATHER_QRCODESCANDIALOG_H
#include <QDialog>
#include <QCamera>
#include "qrcode_scanner/QrCodeScanner.h"

namespace Ui {
    class QrCodeScanDialog;
}

class QrCodeScanDialog : public QDialog
{
    Q_OBJECT

public:
    explicit QrCodeScanDialog(QWidget *parent);
    ~QrCodeScanDialog() override;

    QString decodedString = "";

private slots:
    void onDecoded(int type, const QString &data);

private:
    Ui::QrCodeScanDialog *ui;
    QCamera *m_camera;
    QrCodeScanner *m_scanner;
};


#endif //FEATHER_QRCODESCANDIALOG_H
